<ion-header>
  <app-toolbar title="Mis productos"></app-toolbar>
</ion-header>

<ion-content>
  <section class="content" *ngIf="!!cards.length">
    <h4>Mis tarjetas</h4>

    <div class="cards">
      <div class="card"  *ngFor="let card of cards" (click)="goToView(card)">
        <div class="number">
          <img width="27" src="assets/img/logos_bhd/imagotipo_white.svg" alt="">
          <span>**** {{card.productNumber | slice:12:18}}</span>
        </div>
        <div class="value">
          <div class="rd">
            <p>
              RD$ {{card.LimitRD | number}}<span>.00 </span>
            </p>
          </div>
          <div class="us">
            <p>
              US$ {{card.LimitUS | number}}<span>.00 </span>
            </p>
          </div>
        </div>
        <div class="type">
          <img src="assets/img/{{card.productBrand}}.svg" alt="">
        </div>
      </div>
    </div>

    <h4>Transacciones</h4>
    <div class="items">
      <div class="item" *ngFor="let movement of movements">
        <div class="type-pay"
        [ngClass]="{'down': movement.transactionType === 1, 'up': movement.transactionType === 2}">
          <ion-icon *ngIf="movement.transactionType === 1" name="arrow-down-outline"></ion-icon>
          <ion-icon *ngIf="movement.transactionType === 2" name="arrow-up-outline"></ion-icon>
        </div>
        <div class="info">
          <div>
            <div class="text">
              {{movement.description}}
            </div>
            <div class="date">
              {{movement.date | date}}
            </div>
          </div>
          <div class="value"
          [ngClass]="{'value-down': movement.transactionType === 1, 'value-up': movement.transactionType === 2}">
            -RD$ {{movement.amount | number}}<span>.00</span>
          </div>
        </div>
      </div>
    </div>

  </section>

  <div class="skeleton" *ngIf="!cards.length">
    <h4>Mis tarjetas</h4>

    <div class="cards">
      <div class="card"></div>
      <div class="card"></div>
    </div>

    <h4>Transacciones</h4>

    <div class="items">
      <div class="item">
        <div class="type-pay"></div>
        <div class="info">
          <div>
            <div class="text"></div>
            <div class="date"></div>
          </div>
          <div class="value"></div>
        </div>
      </div>
      <div class="item">
        <div class="type-pay"></div>
        <div class="info">
          <div>
            <div class="text"></div>
            <div class="date"></div>
          </div>
          <div class="value"></div>
        </div>
      </div>
      <div class="item">
        <div class="type-pay"></div>
        <div class="info">
          <div>
            <div class="text"></div>
            <div class="date"></div>
          </div>
          <div class="value"></div>
        </div>
      </div>
      <div class="item">
        <div class="type-pay"></div>
        <div class="info">
          <div>
            <div class="text"></div>
            <div class="date"></div>
          </div>
          <div class="value"></div>
        </div>
      </div>
      <div class="item">
        <div class="type-pay"></div>
        <div class="info">
          <div>
            <div class="text"></div>
            <div class="date"></div>
          </div>
          <div class="value"></div>
        </div>
      </div>
    </div>
  </div>
</ion-content>
